petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscDualSpaceCreateReferenceCell

Create a DMPLEX with the appropriate FEM reference cell

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceCreateReferenceCell(PetscDualSpace sp, PetscInt dim, PetscBool simplex, DM *refdm)

Collective on PetscDualSpace Many br

### Input Parameters

| sp | - The PetscDualSpace Many br
| dim | - The spatial dimension Many br
| simplex | - Flag for simplex, otherwise use a tensor-product cell Many br

### Output Parameter

refdm -The reference cell Many br

Many br

### Keywords

PetscDualSpace, reference cell

### See Also

PetscDualSpaceCreate(), DMPLEX

Level:advanced
Location:src/dm/dt/interface/dtfe.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages